Package org.springframework.security.web.session

# Interface InvalidSessionStrategy

All Known Implementing Classes:
  `RequestedUrlRedirectInvalidSessionStrategy`, `SimpleRedirectInvalidSessionStrategy`

public interface InvalidSessionStrategy
Determines the behaviour of the `SessionManagementFilter` when an invalid session Id is submitted and detected in the `SessionManagementFilter`.

## Method Summary

Modifier and Type
Method
Description
`void`
`onInvalidSessionDetected(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`

## Method Details

### onInvalidSessionDetected

void onInvalidSessionDetected(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response) throws IOException, jakarta.servlet.ServletException

Throws:
  `IOException`
  `jakarta.servlet.ServletException`